Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries.JSMDataLabels

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries.JSMDataLabels

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series.DataLabels

Enclosing class:
  JSMPlotOptions.JSMSeries

    public static class JSMPlotOptions.JSMSeries.JSMDataLabels

extends JSMBaseObject
implements PlotOptions.Series.DataLabels

Field Summary
`java.lang.String` | `align`
`java.lang.String` | `color`
`java.lang.Integer` | `distance`
`boolean` | `enabled`
`java.lang.Object` | `formatter`
`double` | `rotation`
`java.lang.Integer` | `x`
`java.lang.Integer` | `y`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries.JSMDataLabels()`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getColor()`
`int` | `getDistance()`
`java.lang.Object` | `getFormatter()`
`double` | `getRotation()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isEnabled()`
`PlotOptions.Series.DataLabels` | `setAlign(java.lang.String align)`
`JSMPlotOptions.JSMSeries.JSMDataLabels` | `setColor(java.lang.String color)`
`PlotOptions.Series.DataLabels` | `setDistance(int distance)`
`PlotOptions.Series.DataLabels` | `setEnabled(boolean enabled)`
`PlotOptions.Series.DataLabels` | `setFormatter(java.lang.Object formatter)`
`PlotOptions.Series.DataLabels` | `setRotation(double rotation)`
`PlotOptions.Series.DataLabels` | `setX(int x)`
`PlotOptions.Series.DataLabels` | `setY(int y)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    public java.lang.String color

### enabled

    public boolean enabled

### formatter

    public java.lang.Object formatter

### x

    public java.lang.Integer x

### y

    public java.lang.Integer y

### distance

    public java.lang.Integer distance

### align

    public java.lang.String align

### rotation

    public double rotation

Constructor Detail

### JSMPlotOptions.JSMSeries.JSMDataLabels

    public JSMPlotOptions.JSMSeries.JSMDataLabels()

Method Detail

### setColor

    public JSMPlotOptions.JSMSeries.JSMDataLabels setColor(java.lang.String color)

  Specified by:
    `setColor` in interface `PlotOptions.Series.DataLabels`

### setDistance

    public PlotOptions.Series.DataLabels setDistance(int distance)

  Specified by:
    `setDistance` in interface `PlotOptions.Series.DataLabels`

### setEnabled

    public PlotOptions.Series.DataLabels setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `PlotOptions.Series.DataLabels`

### setFormatter

    public PlotOptions.Series.DataLabels setFormatter(java.lang.Object formatter)

  Specified by:
    `setFormatter` in interface `PlotOptions.Series.DataLabels`

### setAlign

    public PlotOptions.Series.DataLabels setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `PlotOptions.Series.DataLabels`

### setRotation

    public PlotOptions.Series.DataLabels setRotation(double rotation)

  Specified by:
    `setRotation` in interface `PlotOptions.Series.DataLabels`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `PlotOptions.Series.DataLabels`

### getDistance

    public int getDistance()

  Specified by:
    `getDistance` in interface `PlotOptions.Series.DataLabels`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `PlotOptions.Series.DataLabels`

### getFormatter

    public java.lang.Object getFormatter()

  Specified by:
    `getFormatter` in interface `PlotOptions.Series.DataLabels`

### setY

    public PlotOptions.Series.DataLabels setY(int y)

  Specified by:
    `setY` in interface `PlotOptions.Series.DataLabels`

### getY

    public int getY()

  Specified by:
    `getY` in interface `PlotOptions.Series.DataLabels`

### setX

    public PlotOptions.Series.DataLabels setX(int x)

  Specified by:
    `setX` in interface `PlotOptions.Series.DataLabels`

### getX

    public int getX()

  Specified by:
    `getX` in interface `PlotOptions.Series.DataLabels`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `PlotOptions.Series.DataLabels`

### getRotation

    public double getRotation()

  Specified by:
    `getRotation` in interface `PlotOptions.Series.DataLabels`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD